Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackLibSampleRateResampler Class Reference

Resampler using "libsamplerate" (http://www.mega-nerd.com/SRC/). More...

`#include <JackLibSampleRateResampler.h>`

Inheritance diagram for Jack::JackLibSampleRateResampler:

## Public Member Functions
| JackLibSampleRateResampler (unsigned int quality)
unsigned int | ReadResample (jack_default_audio_sample_t *buffer, unsigned int frames)
unsigned int | WriteResample (jack_default_audio_sample_t *buffer, unsigned int frames)
void | Reset (unsigned int new_size)
Public Member Functions inherited from Jack::JackResampler
void | SetRatio (double ratio)
double | GetRatio ()
Public Member Functions inherited from Jack::JackRingBuffer
| JackRingBuffer (int size=DEFAULT_RB_SIZE)
virtual unsigned int | Read (jack_default_audio_sample_t *buffer, unsigned int frames)
virtual unsigned int | Write (jack_default_audio_sample_t *buffer, unsigned int frames)
virtual unsigned int | Read (void *buffer, unsigned int bytes)
virtual unsigned int | Write (void *buffer, unsigned int bytes)
virtual unsigned int | ReadSpace ()
virtual unsigned int | WriteSpace ()
unsigned int | GetError ()

## Additional Inherited Members
Protected Attributes inherited from Jack::JackResampler
double | fRatio
Protected Attributes inherited from Jack::JackRingBuffer
jack_ringbuffer_t * | fRingBuffer
unsigned int | fRingBufferSize

## Detailed Description

Resampler using "libsamplerate" (http://www.mega-nerd.com/SRC/).

Definition at line 33 of file JackLibSampleRateResampler.h.

The documentation for this class was generated from the following files:

- JackLibSampleRateResampler.h
- JackLibSampleRateResampler.cpp